PageSprite = {}
class('PageSprite').extends(NobleSprite)

function PageSprite:init(x, y)
    PageSprite.super.init(self, "assets/sprites/pages", true)
    self.animation:addState("1", 1, 1)
    self.animation:addState("2", 2, 2)
    self.animation:addState("3", 3, 3)
    self.animation:addState("4", 4, 4)
    self.animation:setState("1")

    -- self:setCenter(0, 0)

    self:setSize(64, 64)

    self:moveTo(x, y)
    self:add()
end

function PageSprite:set(page)
    self.animation:setState(page .. "")
end
